IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network35.128.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
- Network address
35.128.0.0- Broadcast address
35.191.255.255- First usable
35.128.0.1- Last usable
35.191.255.254- Usable hosts
- 4,194,302 (4,194,304 less the network and broadcast addresses)
- Subnet mask
255.192.0.0- Wildcard mask
0.63.255.255(Cisco ACLs, OSPF)- Prefix length
- /10
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
23800000· Integer595591168to599785471 - Reverse DNS zones
128.35.in-addr.arpa129.35.in-addr.arpa130.35.in-addr.arpa131.35.in-addr.arpa132.35.in-addr.arpa133.35.in-addr.arpa134.35.in-addr.arpa135.35.in-addr.arpa136.35.in-addr.arpa137.35.in-addr.arpa138.35.in-addr.arpa139.35.in-addr.arpa140.35.in-addr.arpa141.35.in-addr.arpa142.35.in-addr.arpa143.35.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00100011.10000000.00000000.00000000 | 35.128.0.0 |
| Subnet mask | 11111111.11000000.00000000.00000000 | 255.192.0.0 |
| Network | 00100011.10000000.00000000.00000000 | 35.128.0.0 |
| Broadcast | 00100011.10111111.11111111.11111111 | 35.191.255.255 |
Split into smaller subnets
/11 (2)/12 (4)/13 (8)/14 (16)/15 (32)/16 (64)/17 (128)/18 (256)/19 (512)/20 (1,024)/21 (2,048)/22 (4,096)
35.128.0.0/10 makes 4,096 subnets of /22; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 35.128.0.0/22 | 35.128.0.1 to 35.128.3.254 | 35.128.3.255 | 1,022 |
| 2 | 35.128.4.0/22 | 35.128.4.1 to 35.128.7.254 | 35.128.7.255 | 1,022 |
| 3 | 35.128.8.0/22 | 35.128.8.1 to 35.128.11.254 | 35.128.11.255 | 1,022 |
| 4 | 35.128.12.0/22 | 35.128.12.1 to 35.128.15.254 | 35.128.15.255 | 1,022 |
| 5 | 35.128.16.0/22 | 35.128.16.1 to 35.128.19.254 | 35.128.19.255 | 1,022 |
| 6 | 35.128.20.0/22 | 35.128.20.1 to 35.128.23.254 | 35.128.23.255 | 1,022 |
| 7 | 35.128.24.0/22 | 35.128.24.1 to 35.128.27.254 | 35.128.27.255 | 1,022 |
| 8 | 35.128.28.0/22 | 35.128.28.1 to 35.128.31.254 | 35.128.31.255 | 1,022 |
| 9 | 35.128.32.0/22 | 35.128.32.1 to 35.128.35.254 | 35.128.35.255 | 1,022 |
| 10 | 35.128.36.0/22 | 35.128.36.1 to 35.128.39.254 | 35.128.39.255 | 1,022 |
| 11 | 35.128.40.0/22 | 35.128.40.1 to 35.128.43.254 | 35.128.43.255 | 1,022 |
| 12 | 35.128.44.0/22 | 35.128.44.1 to 35.128.47.254 | 35.128.47.255 | 1,022 |
| 13 | 35.128.48.0/22 | 35.128.48.1 to 35.128.51.254 | 35.128.51.255 | 1,022 |
| 14 | 35.128.52.0/22 | 35.128.52.1 to 35.128.55.254 | 35.128.55.255 | 1,022 |
| 15 | 35.128.56.0/22 | 35.128.56.1 to 35.128.59.254 | 35.128.59.255 | 1,022 |
| 16 | 35.128.60.0/22 | 35.128.60.1 to 35.128.63.254 | 35.128.63.255 | 1,022 |
| 17 | 35.128.64.0/22 | 35.128.64.1 to 35.128.67.254 | 35.128.67.255 | 1,022 |
| 18 | 35.128.68.0/22 | 35.128.68.1 to 35.128.71.254 | 35.128.71.255 | 1,022 |
| 19 | 35.128.72.0/22 | 35.128.72.1 to 35.128.75.254 | 35.128.75.255 | 1,022 |
| 20 | 35.128.76.0/22 | 35.128.76.1 to 35.128.79.254 | 35.128.79.255 | 1,022 |
| 21 | 35.128.80.0/22 | 35.128.80.1 to 35.128.83.254 | 35.128.83.255 | 1,022 |
| 22 | 35.128.84.0/22 | 35.128.84.1 to 35.128.87.254 | 35.128.87.255 | 1,022 |
| 23 | 35.128.88.0/22 | 35.128.88.1 to 35.128.91.254 | 35.128.91.255 | 1,022 |
| 24 | 35.128.92.0/22 | 35.128.92.1 to 35.128.95.254 | 35.128.95.255 | 1,022 |
| 25 | 35.128.96.0/22 | 35.128.96.1 to 35.128.99.254 | 35.128.99.255 | 1,022 |
| 26 | 35.128.100.0/22 | 35.128.100.1 to 35.128.103.254 | 35.128.103.255 | 1,022 |
| 27 | 35.128.104.0/22 | 35.128.104.1 to 35.128.107.254 | 35.128.107.255 | 1,022 |
| 28 | 35.128.108.0/22 | 35.128.108.1 to 35.128.111.254 | 35.128.111.255 | 1,022 |
| 29 | 35.128.112.0/22 | 35.128.112.1 to 35.128.115.254 | 35.128.115.255 | 1,022 |
| 30 | 35.128.116.0/22 | 35.128.116.1 to 35.128.119.254 | 35.128.119.255 | 1,022 |
| 31 | 35.128.120.0/22 | 35.128.120.1 to 35.128.123.254 | 35.128.123.255 | 1,022 |
| 32 | 35.128.124.0/22 | 35.128.124.1 to 35.128.127.254 | 35.128.127.255 | 1,022 |
| 33 | 35.128.128.0/22 | 35.128.128.1 to 35.128.131.254 | 35.128.131.255 | 1,022 |
| 34 | 35.128.132.0/22 | 35.128.132.1 to 35.128.135.254 | 35.128.135.255 | 1,022 |
| 35 | 35.128.136.0/22 | 35.128.136.1 to 35.128.139.254 | 35.128.139.255 | 1,022 |
| 36 | 35.128.140.0/22 | 35.128.140.1 to 35.128.143.254 | 35.128.143.255 | 1,022 |
| 37 | 35.128.144.0/22 | 35.128.144.1 to 35.128.147.254 | 35.128.147.255 | 1,022 |
| 38 | 35.128.148.0/22 | 35.128.148.1 to 35.128.151.254 | 35.128.151.255 | 1,022 |
| 39 | 35.128.152.0/22 | 35.128.152.1 to 35.128.155.254 | 35.128.155.255 | 1,022 |
| 40 | 35.128.156.0/22 | 35.128.156.1 to 35.128.159.254 | 35.128.159.255 | 1,022 |
| 41 | 35.128.160.0/22 | 35.128.160.1 to 35.128.163.254 | 35.128.163.255 | 1,022 |
| 42 | 35.128.164.0/22 | 35.128.164.1 to 35.128.167.254 | 35.128.167.255 | 1,022 |
| 43 | 35.128.168.0/22 | 35.128.168.1 to 35.128.171.254 | 35.128.171.255 | 1,022 |
| 44 | 35.128.172.0/22 | 35.128.172.1 to 35.128.175.254 | 35.128.175.255 | 1,022 |
| 45 | 35.128.176.0/22 | 35.128.176.1 to 35.128.179.254 | 35.128.179.255 | 1,022 |
| 46 | 35.128.180.0/22 | 35.128.180.1 to 35.128.183.254 | 35.128.183.255 | 1,022 |
| 47 | 35.128.184.0/22 | 35.128.184.1 to 35.128.187.254 | 35.128.187.255 | 1,022 |
| 48 | 35.128.188.0/22 | 35.128.188.1 to 35.128.191.254 | 35.128.191.255 | 1,022 |
| 49 | 35.128.192.0/22 | 35.128.192.1 to 35.128.195.254 | 35.128.195.255 | 1,022 |
| 50 | 35.128.196.0/22 | 35.128.196.1 to 35.128.199.254 | 35.128.199.255 | 1,022 |
| 51 | 35.128.200.0/22 | 35.128.200.1 to 35.128.203.254 | 35.128.203.255 | 1,022 |
| 52 | 35.128.204.0/22 | 35.128.204.1 to 35.128.207.254 | 35.128.207.255 | 1,022 |
| 53 | 35.128.208.0/22 | 35.128.208.1 to 35.128.211.254 | 35.128.211.255 | 1,022 |
| 54 | 35.128.212.0/22 | 35.128.212.1 to 35.128.215.254 | 35.128.215.255 | 1,022 |
| 55 | 35.128.216.0/22 | 35.128.216.1 to 35.128.219.254 | 35.128.219.255 | 1,022 |
| 56 | 35.128.220.0/22 | 35.128.220.1 to 35.128.223.254 | 35.128.223.255 | 1,022 |
| 57 | 35.128.224.0/22 | 35.128.224.1 to 35.128.227.254 | 35.128.227.255 | 1,022 |
| 58 | 35.128.228.0/22 | 35.128.228.1 to 35.128.231.254 | 35.128.231.255 | 1,022 |
| 59 | 35.128.232.0/22 | 35.128.232.1 to 35.128.235.254 | 35.128.235.255 | 1,022 |
| 60 | 35.128.236.0/22 | 35.128.236.1 to 35.128.239.254 | 35.128.239.255 | 1,022 |
| 61 | 35.128.240.0/22 | 35.128.240.1 to 35.128.243.254 | 35.128.243.255 | 1,022 |
| 62 | 35.128.244.0/22 | 35.128.244.1 to 35.128.247.254 | 35.128.247.255 | 1,022 |
| 63 | 35.128.248.0/22 | 35.128.248.1 to 35.128.251.254 | 35.128.251.255 | 1,022 |
| 64 | 35.128.252.0/22 | 35.128.252.1 to 35.128.255.254 | 35.128.255.255 | 1,022 |
| 65 | 35.129.0.0/22 | 35.129.0.1 to 35.129.3.254 | 35.129.3.255 | 1,022 |
| 66 | 35.129.4.0/22 | 35.129.4.1 to 35.129.7.254 | 35.129.7.255 | 1,022 |
| 67 | 35.129.8.0/22 | 35.129.8.1 to 35.129.11.254 | 35.129.11.255 | 1,022 |
| 68 | 35.129.12.0/22 | 35.129.12.1 to 35.129.15.254 | 35.129.15.255 | 1,022 |
| 69 | 35.129.16.0/22 | 35.129.16.1 to 35.129.19.254 | 35.129.19.255 | 1,022 |
| 70 | 35.129.20.0/22 | 35.129.20.1 to 35.129.23.254 | 35.129.23.255 | 1,022 |
| 71 | 35.129.24.0/22 | 35.129.24.1 to 35.129.27.254 | 35.129.27.255 | 1,022 |
| 72 | 35.129.28.0/22 | 35.129.28.1 to 35.129.31.254 | 35.129.31.255 | 1,022 |
| 73 | 35.129.32.0/22 | 35.129.32.1 to 35.129.35.254 | 35.129.35.255 | 1,022 |
| 74 | 35.129.36.0/22 | 35.129.36.1 to 35.129.39.254 | 35.129.39.255 | 1,022 |
| 75 | 35.129.40.0/22 | 35.129.40.1 to 35.129.43.254 | 35.129.43.255 | 1,022 |
| 76 | 35.129.44.0/22 | 35.129.44.1 to 35.129.47.254 | 35.129.47.255 | 1,022 |
| 77 | 35.129.48.0/22 | 35.129.48.1 to 35.129.51.254 | 35.129.51.255 | 1,022 |
| 78 | 35.129.52.0/22 | 35.129.52.1 to 35.129.55.254 | 35.129.55.255 | 1,022 |
| 79 | 35.129.56.0/22 | 35.129.56.1 to 35.129.59.254 | 35.129.59.255 | 1,022 |
| 80 | 35.129.60.0/22 | 35.129.60.1 to 35.129.63.254 | 35.129.63.255 | 1,022 |
| 81 | 35.129.64.0/22 | 35.129.64.1 to 35.129.67.254 | 35.129.67.255 | 1,022 |
| 82 | 35.129.68.0/22 | 35.129.68.1 to 35.129.71.254 | 35.129.71.255 | 1,022 |
| 83 | 35.129.72.0/22 | 35.129.72.1 to 35.129.75.254 | 35.129.75.255 | 1,022 |
| 84 | 35.129.76.0/22 | 35.129.76.1 to 35.129.79.254 | 35.129.79.255 | 1,022 |
| 85 | 35.129.80.0/22 | 35.129.80.1 to 35.129.83.254 | 35.129.83.255 | 1,022 |
| 86 | 35.129.84.0/22 | 35.129.84.1 to 35.129.87.254 | 35.129.87.255 | 1,022 |
| 87 | 35.129.88.0/22 | 35.129.88.1 to 35.129.91.254 | 35.129.91.255 | 1,022 |
| 88 | 35.129.92.0/22 | 35.129.92.1 to 35.129.95.254 | 35.129.95.255 | 1,022 |
| 89 | 35.129.96.0/22 | 35.129.96.1 to 35.129.99.254 | 35.129.99.255 | 1,022 |
| 90 | 35.129.100.0/22 | 35.129.100.1 to 35.129.103.254 | 35.129.103.255 | 1,022 |
| 91 | 35.129.104.0/22 | 35.129.104.1 to 35.129.107.254 | 35.129.107.255 | 1,022 |
| 92 | 35.129.108.0/22 | 35.129.108.1 to 35.129.111.254 | 35.129.111.255 | 1,022 |
| 93 | 35.129.112.0/22 | 35.129.112.1 to 35.129.115.254 | 35.129.115.255 | 1,022 |
| 94 | 35.129.116.0/22 | 35.129.116.1 to 35.129.119.254 | 35.129.119.255 | 1,022 |
| 95 | 35.129.120.0/22 | 35.129.120.1 to 35.129.123.254 | 35.129.123.255 | 1,022 |
| 96 | 35.129.124.0/22 | 35.129.124.1 to 35.129.127.254 | 35.129.127.255 | 1,022 |
| 97 | 35.129.128.0/22 | 35.129.128.1 to 35.129.131.254 | 35.129.131.255 | 1,022 |
| 98 | 35.129.132.0/22 | 35.129.132.1 to 35.129.135.254 | 35.129.135.255 | 1,022 |
| 99 | 35.129.136.0/22 | 35.129.136.1 to 35.129.139.254 | 35.129.139.255 | 1,022 |
| 100 | 35.129.140.0/22 | 35.129.140.1 to 35.129.143.254 | 35.129.143.255 | 1,022 |
| 101 | 35.129.144.0/22 | 35.129.144.1 to 35.129.147.254 | 35.129.147.255 | 1,022 |
| 102 | 35.129.148.0/22 | 35.129.148.1 to 35.129.151.254 | 35.129.151.255 | 1,022 |
| 103 | 35.129.152.0/22 | 35.129.152.1 to 35.129.155.254 | 35.129.155.255 | 1,022 |
| 104 | 35.129.156.0/22 | 35.129.156.1 to 35.129.159.254 | 35.129.159.255 | 1,022 |
| 105 | 35.129.160.0/22 | 35.129.160.1 to 35.129.163.254 | 35.129.163.255 | 1,022 |
| 106 | 35.129.164.0/22 | 35.129.164.1 to 35.129.167.254 | 35.129.167.255 | 1,022 |
| 107 | 35.129.168.0/22 | 35.129.168.1 to 35.129.171.254 | 35.129.171.255 | 1,022 |
| 108 | 35.129.172.0/22 | 35.129.172.1 to 35.129.175.254 | 35.129.175.255 | 1,022 |
| 109 | 35.129.176.0/22 | 35.129.176.1 to 35.129.179.254 | 35.129.179.255 | 1,022 |
| 110 | 35.129.180.0/22 | 35.129.180.1 to 35.129.183.254 | 35.129.183.255 | 1,022 |
| 111 | 35.129.184.0/22 | 35.129.184.1 to 35.129.187.254 | 35.129.187.255 | 1,022 |
| 112 | 35.129.188.0/22 | 35.129.188.1 to 35.129.191.254 | 35.129.191.255 | 1,022 |
| 113 | 35.129.192.0/22 | 35.129.192.1 to 35.129.195.254 | 35.129.195.255 | 1,022 |
| 114 | 35.129.196.0/22 | 35.129.196.1 to 35.129.199.254 | 35.129.199.255 | 1,022 |
| 115 | 35.129.200.0/22 | 35.129.200.1 to 35.129.203.254 | 35.129.203.255 | 1,022 |
| 116 | 35.129.204.0/22 | 35.129.204.1 to 35.129.207.254 | 35.129.207.255 | 1,022 |
| 117 | 35.129.208.0/22 | 35.129.208.1 to 35.129.211.254 | 35.129.211.255 | 1,022 |
| 118 | 35.129.212.0/22 | 35.129.212.1 to 35.129.215.254 | 35.129.215.255 | 1,022 |
| 119 | 35.129.216.0/22 | 35.129.216.1 to 35.129.219.254 | 35.129.219.255 | 1,022 |
| 120 | 35.129.220.0/22 | 35.129.220.1 to 35.129.223.254 | 35.129.223.255 | 1,022 |
| 121 | 35.129.224.0/22 | 35.129.224.1 to 35.129.227.254 | 35.129.227.255 | 1,022 |
| 122 | 35.129.228.0/22 | 35.129.228.1 to 35.129.231.254 | 35.129.231.255 | 1,022 |
| 123 | 35.129.232.0/22 | 35.129.232.1 to 35.129.235.254 | 35.129.235.255 | 1,022 |
| 124 | 35.129.236.0/22 | 35.129.236.1 to 35.129.239.254 | 35.129.239.255 | 1,022 |
| 125 | 35.129.240.0/22 | 35.129.240.1 to 35.129.243.254 | 35.129.243.255 | 1,022 |
| 126 | 35.129.244.0/22 | 35.129.244.1 to 35.129.247.254 | 35.129.247.255 | 1,022 |
| 127 | 35.129.248.0/22 | 35.129.248.1 to 35.129.251.254 | 35.129.251.255 | 1,022 |
| 128 | 35.129.252.0/22 | 35.129.252.1 to 35.129.255.254 | 35.129.255.255 | 1,022 |
| 129 | 35.130.0.0/22 | 35.130.0.1 to 35.130.3.254 | 35.130.3.255 | 1,022 |
| 130 | 35.130.4.0/22 | 35.130.4.1 to 35.130.7.254 | 35.130.7.255 | 1,022 |
| 131 | 35.130.8.0/22 | 35.130.8.1 to 35.130.11.254 | 35.130.11.255 | 1,022 |
| 132 | 35.130.12.0/22 | 35.130.12.1 to 35.130.15.254 | 35.130.15.255 | 1,022 |
| 133 | 35.130.16.0/22 | 35.130.16.1 to 35.130.19.254 | 35.130.19.255 | 1,022 |
| 134 | 35.130.20.0/22 | 35.130.20.1 to 35.130.23.254 | 35.130.23.255 | 1,022 |
| 135 | 35.130.24.0/22 | 35.130.24.1 to 35.130.27.254 | 35.130.27.255 | 1,022 |
| 136 | 35.130.28.0/22 | 35.130.28.1 to 35.130.31.254 | 35.130.31.255 | 1,022 |
| 137 | 35.130.32.0/22 | 35.130.32.1 to 35.130.35.254 | 35.130.35.255 | 1,022 |
| 138 | 35.130.36.0/22 | 35.130.36.1 to 35.130.39.254 | 35.130.39.255 | 1,022 |
| 139 | 35.130.40.0/22 | 35.130.40.1 to 35.130.43.254 | 35.130.43.255 | 1,022 |
| 140 | 35.130.44.0/22 | 35.130.44.1 to 35.130.47.254 | 35.130.47.255 | 1,022 |
| 141 | 35.130.48.0/22 | 35.130.48.1 to 35.130.51.254 | 35.130.51.255 | 1,022 |
| 142 | 35.130.52.0/22 | 35.130.52.1 to 35.130.55.254 | 35.130.55.255 | 1,022 |
| 143 | 35.130.56.0/22 | 35.130.56.1 to 35.130.59.254 | 35.130.59.255 | 1,022 |
| 144 | 35.130.60.0/22 | 35.130.60.1 to 35.130.63.254 | 35.130.63.255 | 1,022 |
| 145 | 35.130.64.0/22 | 35.130.64.1 to 35.130.67.254 | 35.130.67.255 | 1,022 |
| 146 | 35.130.68.0/22 | 35.130.68.1 to 35.130.71.254 | 35.130.71.255 | 1,022 |
| 147 | 35.130.72.0/22 | 35.130.72.1 to 35.130.75.254 | 35.130.75.255 | 1,022 |
| 148 | 35.130.76.0/22 | 35.130.76.1 to 35.130.79.254 | 35.130.79.255 | 1,022 |
| 149 | 35.130.80.0/22 | 35.130.80.1 to 35.130.83.254 | 35.130.83.255 | 1,022 |
| 150 | 35.130.84.0/22 | 35.130.84.1 to 35.130.87.254 | 35.130.87.255 | 1,022 |
| 151 | 35.130.88.0/22 | 35.130.88.1 to 35.130.91.254 | 35.130.91.255 | 1,022 |
| 152 | 35.130.92.0/22 | 35.130.92.1 to 35.130.95.254 | 35.130.95.255 | 1,022 |
| 153 | 35.130.96.0/22 | 35.130.96.1 to 35.130.99.254 | 35.130.99.255 | 1,022 |
| 154 | 35.130.100.0/22 | 35.130.100.1 to 35.130.103.254 | 35.130.103.255 | 1,022 |
| 155 | 35.130.104.0/22 | 35.130.104.1 to 35.130.107.254 | 35.130.107.255 | 1,022 |
| 156 | 35.130.108.0/22 | 35.130.108.1 to 35.130.111.254 | 35.130.111.255 | 1,022 |
| 157 | 35.130.112.0/22 | 35.130.112.1 to 35.130.115.254 | 35.130.115.255 | 1,022 |
| 158 | 35.130.116.0/22 | 35.130.116.1 to 35.130.119.254 | 35.130.119.255 | 1,022 |
| 159 | 35.130.120.0/22 | 35.130.120.1 to 35.130.123.254 | 35.130.123.255 | 1,022 |
| 160 | 35.130.124.0/22 | 35.130.124.1 to 35.130.127.254 | 35.130.127.255 | 1,022 |
| 161 | 35.130.128.0/22 | 35.130.128.1 to 35.130.131.254 | 35.130.131.255 | 1,022 |
| 162 | 35.130.132.0/22 | 35.130.132.1 to 35.130.135.254 | 35.130.135.255 | 1,022 |
| 163 | 35.130.136.0/22 | 35.130.136.1 to 35.130.139.254 | 35.130.139.255 | 1,022 |
| 164 | 35.130.140.0/22 | 35.130.140.1 to 35.130.143.254 | 35.130.143.255 | 1,022 |
| 165 | 35.130.144.0/22 | 35.130.144.1 to 35.130.147.254 | 35.130.147.255 | 1,022 |
| 166 | 35.130.148.0/22 | 35.130.148.1 to 35.130.151.254 | 35.130.151.255 | 1,022 |
| 167 | 35.130.152.0/22 | 35.130.152.1 to 35.130.155.254 | 35.130.155.255 | 1,022 |
| 168 | 35.130.156.0/22 | 35.130.156.1 to 35.130.159.254 | 35.130.159.255 | 1,022 |
| 169 | 35.130.160.0/22 | 35.130.160.1 to 35.130.163.254 | 35.130.163.255 | 1,022 |
| 170 | 35.130.164.0/22 | 35.130.164.1 to 35.130.167.254 | 35.130.167.255 | 1,022 |
| 171 | 35.130.168.0/22 | 35.130.168.1 to 35.130.171.254 | 35.130.171.255 | 1,022 |
| 172 | 35.130.172.0/22 | 35.130.172.1 to 35.130.175.254 | 35.130.175.255 | 1,022 |
| 173 | 35.130.176.0/22 | 35.130.176.1 to 35.130.179.254 | 35.130.179.255 | 1,022 |
| 174 | 35.130.180.0/22 | 35.130.180.1 to 35.130.183.254 | 35.130.183.255 | 1,022 |
| 175 | 35.130.184.0/22 | 35.130.184.1 to 35.130.187.254 | 35.130.187.255 | 1,022 |
| 176 | 35.130.188.0/22 | 35.130.188.1 to 35.130.191.254 | 35.130.191.255 | 1,022 |
| 177 | 35.130.192.0/22 | 35.130.192.1 to 35.130.195.254 | 35.130.195.255 | 1,022 |
| 178 | 35.130.196.0/22 | 35.130.196.1 to 35.130.199.254 | 35.130.199.255 | 1,022 |
| 179 | 35.130.200.0/22 | 35.130.200.1 to 35.130.203.254 | 35.130.203.255 | 1,022 |
| 180 | 35.130.204.0/22 | 35.130.204.1 to 35.130.207.254 | 35.130.207.255 | 1,022 |
| 181 | 35.130.208.0/22 | 35.130.208.1 to 35.130.211.254 | 35.130.211.255 | 1,022 |
| 182 | 35.130.212.0/22 | 35.130.212.1 to 35.130.215.254 | 35.130.215.255 | 1,022 |
| 183 | 35.130.216.0/22 | 35.130.216.1 to 35.130.219.254 | 35.130.219.255 | 1,022 |
| 184 | 35.130.220.0/22 | 35.130.220.1 to 35.130.223.254 | 35.130.223.255 | 1,022 |
| 185 | 35.130.224.0/22 | 35.130.224.1 to 35.130.227.254 | 35.130.227.255 | 1,022 |
| 186 | 35.130.228.0/22 | 35.130.228.1 to 35.130.231.254 | 35.130.231.255 | 1,022 |
| 187 | 35.130.232.0/22 | 35.130.232.1 to 35.130.235.254 | 35.130.235.255 | 1,022 |
| 188 | 35.130.236.0/22 | 35.130.236.1 to 35.130.239.254 | 35.130.239.255 | 1,022 |
| 189 | 35.130.240.0/22 | 35.130.240.1 to 35.130.243.254 | 35.130.243.255 | 1,022 |
| 190 | 35.130.244.0/22 | 35.130.244.1 to 35.130.247.254 | 35.130.247.255 | 1,022 |
| 191 | 35.130.248.0/22 | 35.130.248.1 to 35.130.251.254 | 35.130.251.255 | 1,022 |
| 192 | 35.130.252.0/22 | 35.130.252.1 to 35.130.255.254 | 35.130.255.255 | 1,022 |
| 193 | 35.131.0.0/22 | 35.131.0.1 to 35.131.3.254 | 35.131.3.255 | 1,022 |
| 194 | 35.131.4.0/22 | 35.131.4.1 to 35.131.7.254 | 35.131.7.255 | 1,022 |
| 195 | 35.131.8.0/22 | 35.131.8.1 to 35.131.11.254 | 35.131.11.255 | 1,022 |
| 196 | 35.131.12.0/22 | 35.131.12.1 to 35.131.15.254 | 35.131.15.255 | 1,022 |
| 197 | 35.131.16.0/22 | 35.131.16.1 to 35.131.19.254 | 35.131.19.255 | 1,022 |
| 198 | 35.131.20.0/22 | 35.131.20.1 to 35.131.23.254 | 35.131.23.255 | 1,022 |
| 199 | 35.131.24.0/22 | 35.131.24.1 to 35.131.27.254 | 35.131.27.255 | 1,022 |
| 200 | 35.131.28.0/22 | 35.131.28.1 to 35.131.31.254 | 35.131.31.255 | 1,022 |
| 201 | 35.131.32.0/22 | 35.131.32.1 to 35.131.35.254 | 35.131.35.255 | 1,022 |
| 202 | 35.131.36.0/22 | 35.131.36.1 to 35.131.39.254 | 35.131.39.255 | 1,022 |
| 203 | 35.131.40.0/22 | 35.131.40.1 to 35.131.43.254 | 35.131.43.255 | 1,022 |
| 204 | 35.131.44.0/22 | 35.131.44.1 to 35.131.47.254 | 35.131.47.255 | 1,022 |
| 205 | 35.131.48.0/22 | 35.131.48.1 to 35.131.51.254 | 35.131.51.255 | 1,022 |
| 206 | 35.131.52.0/22 | 35.131.52.1 to 35.131.55.254 | 35.131.55.255 | 1,022 |
| 207 | 35.131.56.0/22 | 35.131.56.1 to 35.131.59.254 | 35.131.59.255 | 1,022 |
| 208 | 35.131.60.0/22 | 35.131.60.1 to 35.131.63.254 | 35.131.63.255 | 1,022 |
| 209 | 35.131.64.0/22 | 35.131.64.1 to 35.131.67.254 | 35.131.67.255 | 1,022 |
| 210 | 35.131.68.0/22 | 35.131.68.1 to 35.131.71.254 | 35.131.71.255 | 1,022 |
| 211 | 35.131.72.0/22 | 35.131.72.1 to 35.131.75.254 | 35.131.75.255 | 1,022 |
| 212 | 35.131.76.0/22 | 35.131.76.1 to 35.131.79.254 | 35.131.79.255 | 1,022 |
| 213 | 35.131.80.0/22 | 35.131.80.1 to 35.131.83.254 | 35.131.83.255 | 1,022 |
| 214 | 35.131.84.0/22 | 35.131.84.1 to 35.131.87.254 | 35.131.87.255 | 1,022 |
| 215 | 35.131.88.0/22 | 35.131.88.1 to 35.131.91.254 | 35.131.91.255 | 1,022 |
| 216 | 35.131.92.0/22 | 35.131.92.1 to 35.131.95.254 | 35.131.95.255 | 1,022 |
| 217 | 35.131.96.0/22 | 35.131.96.1 to 35.131.99.254 | 35.131.99.255 | 1,022 |
| 218 | 35.131.100.0/22 | 35.131.100.1 to 35.131.103.254 | 35.131.103.255 | 1,022 |
| 219 | 35.131.104.0/22 | 35.131.104.1 to 35.131.107.254 | 35.131.107.255 | 1,022 |
| 220 | 35.131.108.0/22 | 35.131.108.1 to 35.131.111.254 | 35.131.111.255 | 1,022 |
| 221 | 35.131.112.0/22 | 35.131.112.1 to 35.131.115.254 | 35.131.115.255 | 1,022 |
| 222 | 35.131.116.0/22 | 35.131.116.1 to 35.131.119.254 | 35.131.119.255 | 1,022 |
| 223 | 35.131.120.0/22 | 35.131.120.1 to 35.131.123.254 | 35.131.123.255 | 1,022 |
| 224 | 35.131.124.0/22 | 35.131.124.1 to 35.131.127.254 | 35.131.127.255 | 1,022 |
| 225 | 35.131.128.0/22 | 35.131.128.1 to 35.131.131.254 | 35.131.131.255 | 1,022 |
| 226 | 35.131.132.0/22 | 35.131.132.1 to 35.131.135.254 | 35.131.135.255 | 1,022 |
| 227 | 35.131.136.0/22 | 35.131.136.1 to 35.131.139.254 | 35.131.139.255 | 1,022 |
| 228 | 35.131.140.0/22 | 35.131.140.1 to 35.131.143.254 | 35.131.143.255 | 1,022 |
| 229 | 35.131.144.0/22 | 35.131.144.1 to 35.131.147.254 | 35.131.147.255 | 1,022 |
| 230 | 35.131.148.0/22 | 35.131.148.1 to 35.131.151.254 | 35.131.151.255 | 1,022 |
| 231 | 35.131.152.0/22 | 35.131.152.1 to 35.131.155.254 | 35.131.155.255 | 1,022 |
| 232 | 35.131.156.0/22 | 35.131.156.1 to 35.131.159.254 | 35.131.159.255 | 1,022 |
| 233 | 35.131.160.0/22 | 35.131.160.1 to 35.131.163.254 | 35.131.163.255 | 1,022 |
| 234 | 35.131.164.0/22 | 35.131.164.1 to 35.131.167.254 | 35.131.167.255 | 1,022 |
| 235 | 35.131.168.0/22 | 35.131.168.1 to 35.131.171.254 | 35.131.171.255 | 1,022 |
| 236 | 35.131.172.0/22 | 35.131.172.1 to 35.131.175.254 | 35.131.175.255 | 1,022 |
| 237 | 35.131.176.0/22 | 35.131.176.1 to 35.131.179.254 | 35.131.179.255 | 1,022 |
| 238 | 35.131.180.0/22 | 35.131.180.1 to 35.131.183.254 | 35.131.183.255 | 1,022 |
| 239 | 35.131.184.0/22 | 35.131.184.1 to 35.131.187.254 | 35.131.187.255 | 1,022 |
| 240 | 35.131.188.0/22 | 35.131.188.1 to 35.131.191.254 | 35.131.191.255 | 1,022 |
| 241 | 35.131.192.0/22 | 35.131.192.1 to 35.131.195.254 | 35.131.195.255 | 1,022 |
| 242 | 35.131.196.0/22 | 35.131.196.1 to 35.131.199.254 | 35.131.199.255 | 1,022 |
| 243 | 35.131.200.0/22 | 35.131.200.1 to 35.131.203.254 | 35.131.203.255 | 1,022 |
| 244 | 35.131.204.0/22 | 35.131.204.1 to 35.131.207.254 | 35.131.207.255 | 1,022 |
| 245 | 35.131.208.0/22 | 35.131.208.1 to 35.131.211.254 | 35.131.211.255 | 1,022 |
| 246 | 35.131.212.0/22 | 35.131.212.1 to 35.131.215.254 | 35.131.215.255 | 1,022 |
| 247 | 35.131.216.0/22 | 35.131.216.1 to 35.131.219.254 | 35.131.219.255 | 1,022 |
| 248 | 35.131.220.0/22 | 35.131.220.1 to 35.131.223.254 | 35.131.223.255 | 1,022 |
| 249 | 35.131.224.0/22 | 35.131.224.1 to 35.131.227.254 | 35.131.227.255 | 1,022 |
| 250 | 35.131.228.0/22 | 35.131.228.1 to 35.131.231.254 | 35.131.231.255 | 1,022 |
| 251 | 35.131.232.0/22 | 35.131.232.1 to 35.131.235.254 | 35.131.235.255 | 1,022 |
| 252 | 35.131.236.0/22 | 35.131.236.1 to 35.131.239.254 | 35.131.239.255 | 1,022 |
| 253 | 35.131.240.0/22 | 35.131.240.1 to 35.131.243.254 | 35.131.243.255 | 1,022 |
| 254 | 35.131.244.0/22 | 35.131.244.1 to 35.131.247.254 | 35.131.247.255 | 1,022 |
| 255 | 35.131.248.0/22 | 35.131.248.1 to 35.131.251.254 | 35.131.251.255 | 1,022 |
| 256 | 35.131.252.0/22 | 35.131.252.1 to 35.131.255.254 | 35.131.255.255 | 1,022 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |